Bug 1222313 - Owncloud sync works only when evolution is installed
Summary: Owncloud sync works only when evolution is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 22
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-17 14:30 UTC by Peter
Modified: 2015-06-11 18:36 UTC (History)
5 users (show)

Fixed In Version: evolution-mapi-3.16.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-11 18:36:03 UTC


Attachments (Terms of Use)

Description Peter 2015-05-17 14:30:02 UTC
Description of problem:
I installed Fedora ootb without Evolution.
I connected Owncloud services via Online Accounts.
Gnome-contacts nor california display any content.

After installing evolution and the configuration of the services the two programs start working.


Version-Release number of selected component (if applicable):
Fedora 22

Comment 1 Adam Williamson 2015-05-17 15:35:01 UTC
This has nothing to do with ownCloud.

Comment 2 Peter 2015-05-17 16:13:25 UTC
I didn't not know better where to put it.

Comment 3 Debarshi Ray 2015-05-18 11:23:35 UTC
(In reply to Peter from comment #0)
> Description of problem:
> I installed Fedora ootb without Evolution.
> I connected Owncloud services via Online Accounts.
> Gnome-contacts nor california display any content.
> 
> After installing evolution and the configuration of the services the two
> programs start working.

Was evolution-data-server installed?

Comment 4 Milan Crha 2015-05-19 05:51:48 UTC
Evolution-data-server is a core component, you cannot install for example gnome-shell without it, neither gnome-contacts, nor california, nor gnome-calendar.

Though the consequence of installing evolution looks suspicious.

Was evolution even run after you installed it? It may open the calendars with the evolution-alarm-notify, though those are supposed to be available without evolution too. Maybe the named other client applications do not ask for certificates or passwords as they should/could?

Comment 5 Peter 2015-05-19 14:22:32 UTC
Before evolution was installed, no online accounts where displayed in Gnome Contacts and California,

After Evolution was installed, the accounts and their started to show up. Also Evolution worked as it used to. Unfortunately when starting Evolution it always displays the message, "the certificate is not trustworthy". I cannot say ignore forever (but this is a different story).

I use a self signed certification for the https connection.

Comment 6 Milan Crha 2015-05-25 09:03:48 UTC
(In reply to Peter from comment #5)
> I use a self signed certification for the https connection.

Then it's it. There had been done a fix for these cases the last week, for the upcoming 3.16.3+ [1], thus to be part of the Fedora 22 in about 3 weeks.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=749385

Comment 7 Fedora Update System 2015-06-08 12:39:35 UTC
evolution-mapi-3.16.3-1.fc22,openchange-2.2-7.fc22,evolution-ews-3.16.3-1.fc22,evolution-3.16.3-1.fc22,evolution-data-server-3.16.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/evolution-mapi-3.16.3-1.fc22,openchange-2.2-7.fc22,evolution-ews-3.16.3-1.fc22,evolution-3.16.3-1.fc22,evolution-data-server-3.16.3-1.fc22

Comment 8 Fedora Update System 2015-06-09 15:03:03 UTC
Package evolution-mapi-3.16.3-1.fc22, openchange-2.2-7.fc22, evolution-ews-3.16.3-1.fc22, evolution-data-server-3.16.3-1.fc22, evolution-3.16.3-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-mapi-3.16.3-1.fc22 openchange-2.2-7.fc22 evolution-ews-3.16.3-1.fc22 evolution-data-server-3.16.3-1.fc22 evolution-3.16.3-2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9640/evolution-mapi-3.16.3-1.fc22,openchange-2.2-7.fc22,evolution-ews-3.16.3-1.fc22,evolution-3.16.3-2.fc22,evolution-data-server-3.16.3-1.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-11 18:36:03 UTC
evolution-mapi-3.16.3-1.fc22, openchange-2.2-7.fc22, evolution-ews-3.16.3-1.fc22, evolution-data-server-3.16.3-1.fc22, evolution-3.16.3-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.